export interface IColors {
    grays: Array<string>;
    black: string;
    white: string;
    primary: string;
    secondary: string;
}
export declare class Colors implements IColors {
    grays: Array<string>;
    black: string;
    white: string;
    primary: string;
    secondary: string;
    constructor(values: IColors);
    get bg(): string;
}
export interface IBorderWidth extends Array<number> {
}
export interface IBorderStyles extends Array<string> {
}
export interface IShadows {
    out: string;
    in: string;
    input: string;
}
export declare class ZIndexes extends Array<number> {
    private _modal;
    private _taskbar;
    constructor(values: number[]);
    get modal(): number;
    set modal(value: number);
    get taskbar(): number;
    set taskbar(value: number);
}
export interface ITheme {
    colors: IColors;
    space: Array<number>;
    shadows: IShadows;
    borderWidths: IBorderWidth;
    borderStyles: IBorderStyles;
    zIndices: ZIndexes;
}
declare const theme: ITheme;
export default theme;
